Close Order
Close order API used for merchant/partner to close order without any prior payment activities triggered by user. The successful close result will be notified asynchronously through Order Notification Webhook with bizStatus = "PAY_CLOSED"
EndPoint
POST /binancepay/openapi/order/close
Request Parameters
| Attributes | Type | Required | Limitation | Description |
|---|---|---|---|---|
| merchantTradeNo | string | N | maximum length 32, letter or digit, no other symbol allowed, can not be empty if prepayId is empty | The order id, Unique identifier for the request |
| prepayId | string | N | maximum length 19, letter or digit, no other symbol allowed, can not be empty if merchantTradeNo is empty | Binance unique order id |
Sample Request Body
Query order result by merchantTradeNo:
{
"merchantTradeNo": "9825382937292",
"prepayId": null
}
Query order result by prepayId:
{
"merchantTradeNo": null,
"prepayId": "9825382937292"
}
Response Parameters
| Attributes | Type | Required | Limitation | Description |
|---|---|---|---|---|
| status | string | Y | "SUCCESS" or "FAIL" | status of the API request |
| code | string | Y | - | request result code, refer to |
| data | boolean | N | - | equals to true when status="SUCCESS",which is close request is accepted,and successful close result will be notified asynchronously through Order Notification Webhook |
| errorMessage | string | N | maximum length 256 | error description when status="FAIL" |
Sample Response
{
"status": "SUCCESS",
"code": "000000",
"data": true,
"errorMessage": null
}